/***기업규모 변수를 구성하는 방법***/ 

clear
cd "D:\klips\Stata"

use klips22p, replace 

/**기업규모(fsize)**/

// (참고) 기업형태가 정부기관인 경우(p**0211=5)는 missing이므로 주의

// jobtype: 일자리형태(1:임금근로자,2:비임금근로자)
// p**0402: 전체종업원수(명)
// p**0403: 전체종웝원수(범주)

keep if jobtype == 1 // 임금근로자만 추출


gen fsize = p220403  if p220403 ~=. 
	
// 연속형변수->범주화 
gen temp = p220402 if p220211==1
replace fsize = 1 if  temp >=   1 & temp  <  5
replace fsize = 2 if  temp >=   5 & temp  <  10
replace fsize = 3 if  temp >=  10 & temp  <  30
replace fsize = 4 if  temp >=  30 & temp  <  50
replace fsize = 5 if  temp >=  50 & temp  <  70
replace fsize = 6 if  temp >=  70 & temp  <  100
replace fsize = 7 if  temp >= 100 & temp  <  300
replace fsize = 8 if  temp >= 300 & temp  <  500
replace fsize = 9 if  temp >= 500 & temp  < 1000
replace fsize =10 if  temp >=1000 & temp  <100000
drop temp

lab var fsize "기업규모(범주형)"
tab fsize 

/**기업형태(fkind)**/

// p**0404: 기업형태; 

gen  fkind = p220401 if p220211==1


tab1 fsize 
sum mwage mtax pretwage postwage 

save "D:\klips\Stata\data\exaple.dta", replace 